#!/bin/sh
#
# Manage /etc/osgi-runner/htpasswd.d/osgi.htpasswd
#
# $Id$
#

# include prerequisites
. /usr/share/osgi-runner/sh/check-dirs.sh

if test $# -lt 1
then
    echo "No command given, first argument mus be [adduser] or [deluser]."
    exit 64
fi

cmd=$1

shift 1

"$JAVA_EXE" -jar $OSGI_BASE/aux/htpasswd-jaas-*.jar "$cmd" $OSGI_ETCDIR/htpasswd.d/osgi.htpasswd "$@"
chgrp $OSGI_GROUP $OSGI_ETCDIR/htpasswd.d/osgi.htpasswd
chmod 640 $OSGI_ETCDIR/htpasswd.d/osgi.htpasswd
